summaryrefslogtreecommitdiff
path: root/tests/touch/no-rights
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/no-rights')
-rwxr-xr-xtests/touch/no-rights4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/touch/no-rights b/tests/touch/no-rights
index 7fe9d29c6..e90fcac50 100755
--- a/tests/touch/no-rights
+++ b/tests/touch/no-rights
@@ -2,7 +2,7 @@
# Make sure touch can update the times on a file that is neither
# readable nor writable.
-# Copyright (C) 1999, 2000, 2002, 2006-2007 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2000, 2002, 2006-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -42,4 +42,4 @@ test "$*" = "x t1 t2" || fail=1
# Also test the combination of --no-create and -a.
touch -a --no-create t1 || fail=1
-exit $fail
+(exit $fail); exit $fail